<template>
    <div class="home">
        <div class="description">
            <div class="description__item"><div class="icon-contract-parts"></div><h1>Контрактные<br> запчасти</h1><p>Обширный каталог контрактных автозапчастей в наличии для любых автомобилей. Нужную запчасть можно легко найти в онлайн каталоге доступном на сайте. <strong>Автомобили</strong> и агрегаты диагностируются полностью перед разбором в порту Японии.</p></div>
            <div class="description__item"><div class="icon-auto-service"></div><h1>Качественный<br> автосервис</h1><p><strong>Техническое обслуживание</strong> и основные виды <strong>ремонта автомобилей</strong>. Расходные материалы и их замена. Высокий профессионализм и гарантия на все виды выполняемых работ — 10000 км или 3 месяца.</p></div>
            <div class="description__item"><div class="icon-order-new-parts"></div><h1>Заказ новых<br> запчастей</h1><p>Не нашли нужную запчасть в каталоге? Воспользуйтесь формой заказа прямо на сайте или свяжитесь с нами по телефону. Мы доставим запчасть на склад или по указанному вами адресу. Прямые поставки из Японии.</p></div>
        </div>

        <Catalog />

        <h2>Не нашли нужную запчасть в наличии?<br/>Закажите её прямо сейчас!</h2>
        <p class="center"><a title="Заказать запчасть в Красноярске" class="order__button" @click="show_part">Заказать запчасть</a></p>
        <h1 style="margin-top: 0;">Как к нам проехать</h1>
        <div class="print" @click="print_map"><div class="icon-map"></div> <span class="print-text">Печать карты</span></div>
        <div id="map" ref="map"></div>
    </div>
</template>

<script>
  import Catalog from '@/components/Catalog'
  import { mapMutations } from 'vuex'
  import DG from '2gis-maps'

  export default {
    name: 'home',
    components: {
      Catalog
    },
    methods: {
      ...mapMutations('cart', ['show_part']),
      init_map() {
        let map;
        const center = [56.034030, 92.825303];
        map = DG.map('map', {
          'center': center,
          'zoom': 16,
          'scrollWheelZoom': false
        });
        let popup = DG.popup(center)
          .setLatLng(center)
          .setContent('<p>ATAMA Motors</p>');
        DG.marker(center, {
          title: 'ATAMA Motors'
        }).addTo(map).bindPopup(popup).openPopup();
      },
      print_map() {
        var img = document.createElement("img");
        img.setAttribute('src', '/img/map-for-print.jpg');
        img.setAttribute('height', '500');
        img.setAttribute('id','img');
        var div = document.createElement("div");
        var p = document.createElement("p");
        var newWindow = window.open();
        var printButton = document.createElement("a");
        printButton.setAttribute("onclick", "window.print()");
        printButton.setAttribute("style", "text-transform: uppercase;font-family:sans-serif;padding:5px 10px;background-color:#83b324;border-radius: 3px;color: white;width: 195px;height: 41px;line-height: 41px;display:block;text-align:center;cursor:pointer;");
        printButton.innerHTML = "Распечатать";
        p.appendChild(printButton);
        div.appendChild(p);
        div.appendChild(img);
        newWindow.document.write(div.innerHTML);
      }
    },
    mounted () {
      this.init_map();
    }
  }
</script>

<style lang="scss">
    #map {
        width: 100%;
        height: 400px;
    }
    .print {
        position: absolute;
        right: 65px;
        z-index: 100;
        margin-top: 7px;
    }
</style>
